/*
 * XMLFileReaderConfigTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.xml;

import jp.co.cybec.cb3.accessor.fileaccess.xml.XMLFileReaderConfig;
import junit.framework.Assert;

import org.junit.Test;

/**
 * {@link XMLFileReaderConfig} のテストケース。
 * @author Daisuke Suga
 */
public class XMLFileReaderConfigTest {

	XMLFileReaderConfig target = null;

	/**
	 * {@link XMLFileReaderConfig#getFilepath()} のためのテスト・メソッド。<br>
	 * 正しい値が取得できることを確認する。
	 */
	@Test
	public void testGetFilepath() {
		String expected = "test1";
		target = new XMLFileReaderConfig();
		target.setFilepath(expected);
		Assert.assertEquals(expected, target.getFilepath());
	}

	/**
	 * {@link XMLFileReaderConfig#setFilepath(String)} のためのテスト・メソッド。<br>
	 * 例外が発生しないことを確認する。
	 */
	@Test
	public void testSetFilepath() {
		target = new XMLFileReaderConfig();
		target.setFilepath("test1");
	}

}
